package tsuteto.spelunker.eventhandler;

import net.minecraft.block.Block;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.item.ItemInWorldManager;
import tsuteto.spelunker.SpelunkerMod;
import tsuteto.spelunker.player.SpelunkerPlayerMP;

public class BlockDestroyHook
{

    public static void onBlockDestroyed(ItemInWorldManager manager, int x, int y, int z, Block block)
    {
        System.out.println("passed!");
        EntityPlayerMP player = manager.thisPlayerMP;
        SpelunkerPlayerMP spelunker = SpelunkerMod.getSpelunkerPlayer(player);
        if (spelunker != null)
        {
            spelunker.onBlockDestroyed(x, y, z, block);
        }
    }
}
