package tsuteto.spelunker.eventhandler;

import java.util.EnumSet;

import net.minecraft.server.MinecraftServer;
import net.minecraft.world.World;
import tsuteto.spelunker.BatDroppingsHandler;
import cpw.mods.fml.common.ITickHandler;
import cpw.mods.fml.common.TickType;

/**
 * Handles game tick on server side
 *
 * @author Tsuteto
 *
 */
public class ServerTickHandler implements ITickHandler
{
    private BatDroppingsHandler batController = BatDroppingsHandler.getInstance();

    @Override
    public void tickStart(EnumSet<TickType> type, Object... tickData)
    {
    }

    @Override
    public void tickEnd(EnumSet<TickType> type, Object... tickData)
    {
        World world = MinecraftServer.getServer().worldServerForDimension(0);
        batController.onServerTick(world);
    }

    @Override
    public EnumSet<TickType> ticks()
    {
        return EnumSet.of(TickType.SERVER);
    }

    @Override
    public String getLabel()
    {
        return null;
    }

}
