package tsuteto.spelunker.damage;

import net.minecraft.entity.Entity;
import net.minecraft.entity.EntityLivingBase;
import net.minecraft.entity.item.EntityItem;
import net.minecraft.util.ChatMessageComponent;
import net.minecraft.util.EntityDamageSource;

public class EntityDamageSourceFallingItem extends EntityDamageSource
{
    public EntityDamageSourceFallingItem(String par1Str, Entity par2Entity)
    {
        super(par1Str, par2Entity);
    }

    @Override
    public Entity getEntity()
    {
        return this.damageSourceEntity;
    }

    /**
     * Returns the message to be displayed on player death.
     */
    @Override
    public ChatMessageComponent getDeathMessage(EntityLivingBase par1EntityLivingBase)
    {
        return ChatMessageComponent.func_111082_b("death.attack." + this.damageType,
                par1EntityLivingBase.getTranslatedEntityName(),
                ((EntityItem)this.damageSourceEntity).getEntityItem().getDisplayName());
    }
}
